Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# element_type Struct Template Reference
[element_type, element_reference_type, element_const_reference_type]

`#include <color_base_algorithm.hpp>`

## Detailed Description

### template<typename ColorBase>
struct boost::gil::element_type< ColorBase >

Specifies the element type of a homogeneous color base.

The documentation for this struct was generated from the following file:

- color_base_algorithm.hpp